### Method

# St IconTheme list_contexts

#### Declaration [src]

    GList*
    st_icon_theme_list_contexts (
      StIconTheme* icon_theme
    )

#### Description [src]

Gets the list of contexts available within the current hierarchy of icon themes. See `st_icon_theme_list_icons()` for details about contexts.

#### Return value

Type: A list of `utf8`

A `GList` list holding the names of all the contexts in the theme. You must first free each element in the list with g_free(), then free the list itself with g_list_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.